Page 1 of 1

PowerShell 7.x support still not available?

Posted: Thu Oct 27, 2022 5:54 am
by nelmedia
I noticed an issue with creating a new project using the module import function. It fails just as noted in the previous forum post about the assembly not being found. the response from Sapien is that PoSH 7 is not yet supported and that he should make a "request" to have it supported.
That seems like a rather ridiculous statement to me. PowerShell 7 has been out since March of 2020. 7.2 was released on November of 2021.
Is Sapien saying that every time a new version of PowerShell is released that the paid user base must "request" compatibility with versions, even ones that are over 2 years old?
Any feedback on this @brittneyr or anyone else from Sapien?

Product, version and build: 2.3.55
Operating system: Win11
PowerShell version(s): 7.2.3

Re: PowerShell 7.x support still not available?

Posted: Fri Oct 28, 2022 2:24 pm
by brittneyr
PowerShell 7 support for PowerShell HelpWriter is in the works.
I do not have an ETA at this time.

Re: PowerShell 7.x support still not available?

Posted: Wed Jan 18, 2023 7:39 am
by brittneyr
PowerShell HelpWriter 2023 was released with PowerShell 7 support. For more information, please refer to the following article:
https://www.sapien.com/blog/2023/01/17/ ... 7-support/